package org.bdware.consistency.plugin.raft;

import org.bdware.consistency.plugin.pbft.PBFTExecutor;
import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class RAFTExecutorFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "RAFT";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
//        int nodeSize = (int) args.get("nodeSize");
        String contractID = (String) args.get("contractID");
        String[] memberPubKeys = (String[]) args.get("members");
        return new RAFTExecutor(contractID, memberPubKeys);
    }
}