package org.bdware.consistency.plugin.ra;

import org.bdware.sc.bean.ContractExecType;
import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class RequestAllResponseAllFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "RARA";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
        int nodeSize = (int) args.get("nodeSize");
        String contractID = (String) args.get("contractID");
        return new RequestAllExecutor(ContractExecType.RequestAllResponseAll, nodeSize, contractID);
    }
}
