package org.bdware.consistency.plugin.ro;

import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class RequestOnceExecutorFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "RequestOnce";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
        String contractID = (String) args.get("contractID");
        return new RequestOnceExecutor(contractID);
    }
}
